org.springframework.batch.core.job.flow

## Interface Flow

- All Known Implementing Classes:
    JsrFlow, SimpleFlow

      public interface Flow

  Since:
    2.0
  Author:
    Dave Syer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `State` | `getState(java.lang.String stateName)` Retrieve the State with the given name.
    `java.util.Collection<State>` | `getStates()` Convenient accessor for clients needing to explore the states of this flow.
    `FlowExecution` | `resume(java.lang.String stateName, FlowExecutor executor)`
    `FlowExecution` | `start(FlowExecutor executor)`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns:
        the name of the flow

    - #### getState

          State getState(java.lang.String stateName)

      Retrieve the State with the given name. If there is no State with the given name, then return null.
      Parameters:
        `stateName` - the name of the state to retrieve
      Returns:
        the State

    - #### start

          FlowExecution start(FlowExecutor executor)
                       throws FlowExecutionException

      Parameters:
        `executor` - the `FlowExecutor` instance to use for the flow execution.
      Returns:
        a `FlowExecution` containing the exit status of the flow.
      Throws:
        `FlowExecutionException` - thrown if error occurs during flow execution.

    - #### resume

          FlowExecution resume(java.lang.String stateName,
                               FlowExecutor executor)
                        throws FlowExecutionException

      Parameters:
        `stateName` - the name of the state to resume on.
        `executor` - the context to be passed into each state executed.
      Returns:
        a `FlowExecution` containing the exit status of the flow.
      Throws:
        `FlowExecutionException` - thrown if error occurs during flow execution.

    - #### getStates

          java.util.Collection<State> getStates()

      Convenient accessor for clients needing to explore the states of this flow.
      Returns:
        the states